Bug 1947067 - [Installer] Pick up upstream fix for installer console output
Summary: [Installer] Pick up upstream fix for installer console output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.8
Hardware: Unspecified
OS: Mac OS
low
low
Target Milestone: ---
: 4.8.0
Assignee: Russell Teague
QA Contact: To Hung Sze
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-07 15:21 UTC by To Hung Sze
Modified: 2021-08-30 15:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:57:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
Attached picture illustrates the issue on Linux box (24.01 KB, image/png)
2021-04-07 15:49 UTC, To Hung Sze
no flags Details
Problem reproduced on Linux (21.55 KB, image/png)
2021-05-13 18:33 UTC, To Hung Sze
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4895 0 None open Bug 1947067: vendor/AlecAivazis/survey: Bump API to v2 2021-04-30 20:03:55 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:58:16 UTC

Description To Hung Sze 2021-04-07 15:21:03 UTC
This is from 
https://github.com/openshift/installer/issues/4523

When the ~2KB secret is pasted in the macOS Terminal, the * characters from AlecAivazis/survey that the openshift installer uses confuse subsequent output (see below). This issue has now been resolved upstream so please ensure you bump your version of survey at the next opportunity.

? Pull Secret [? for help] ***************************************************************************************************************************************************************************************************************************************************INFO Creating
infrastructure resources...         ****************************************************************************************************************************************************************************************************************************INFO Waiting 
up to 20m0s for the Kubernetes API at https://api.cluster-f1bd.sandbox1365.opentlc.com:6443... ***************************************************************************************************************************************************INFO API 
v1.17.1 up                               ***********************************************************************************************************************************************************************************************************************INFO Waiting 
up to 40m0s for bootstrapping to complete... ***************************************************************************************************************************************************************************************************************INFO Destroying 
the bootstrap resources...        ***********************************************************************************************************************************************************************************************************************INFO Waiting 
up to 30m0s for the cluster at https://api.cluster-f1bd.sandbox1365.opentlc.com:6443 to initialize... ******************************************************************************************************************************************************INFO Waiting up 
to 10m0s for the openshift-console route to be created... ***********************************************************************************************************************************************************************************************INFO Install 
complete!                            ***********************************************************************************************************************************************************************************************************************INFO To 
access the cluster as the system:admin user when using 'oc', run 'export KUBECONFIG=/home/[...]/cluster-f1bd/auth/kubeconfig' *************************************************************************************************************INFO Access 
the OpenShift web-console here: https://console-openshift-console.apps.cluster-f1bd.sandbox1365.opentlc.com ***************

Comment 1 kevin.grigorenko 2021-04-07 15:48:11 UTC
Note that the upstream changes were made here: https://github.com/AlecAivazis/survey/issues/306

Comment 2 To Hung Sze 2021-04-07 15:49:55 UTC
Created attachment 1769965 [details]
Attached picture illustrates the issue on Linux box

Comment 3 To Hung Sze 2021-04-07 16:46:29 UTC
Please see original github posting for behaviors with Mac.
iTerm and iTerm2 behave differently.

Comment 5 To Hung Sze 2021-05-13 18:32:41 UTC
Actually, problem can still be reproduced on Linux - probably depends on the width of terminal.
See attached.

Also, after the install-config is generated, if you resize the terminal, you can see "INFO Install-config created in: xxxx" is "attached" to the last line of pull-secret.

Comment 6 To Hung Sze 2021-05-13 18:33:47 UTC
Created attachment 1782854 [details]
Problem reproduced on Linux

Comment 7 Russell Teague 2021-05-19 20:25:18 UTC
I did some additional testing with another upstream fix using Fedora 34, https://github.com/AlecAivazis/survey/pull/353

Although it did fix the issue of out-of-order output, it seems to also miss a newline before the last INFO log output.  Also, it may not be desired to truncate the '*' output as it could misrepresent the actual quantity of entered text.

### WITHOUT PATCH FROM PR353 ###
> $ ./openshift-install create install-config
? SSH Public Key /home/rteague/.ssh/openshift-dev.pub
? Platform aws
INFO Credentials loaded from the "openshift-dev" profile in file "/home/rteague/.aws/credentials" 
? Region us-east-2
? Base Domain devcluster.openshift.com
? Cluster Name rteague-test
? Pull Secret [? for help] ***************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************INFO Install-Config created in: .                 **************************************************************************************************


### WITH PATCH FROM PR353 ### 
> $ ./openshift-install create install-config
? SSH Public Key /home/rteague/.ssh/openshift-dev.pub
? Platform aws
INFO Credentials loaded from the "openshift-dev" profile in file "/home/rteague/.aws/credentials" 
? Region us-east-2
? Base Domain devcluster.openshift.com
? Cluster Name rteague-test
? Pull Secret [? for help] ************************************************************************************************************************************INFO Install-Config created in: .

Comment 8 To Hung Sze 2021-05-20 14:19:48 UTC
Verified that installer now shows improvement especially when terminal is too narrow - when using up / down arrrows now doesn't display extra lines:
INFO Credentials loaded from file "/home/tsze/.gcp/osServiceAccount.json" 
? Project ID  [Use arrows to move, enter to select, type to filter, ? for mo? Project ID OpenShift QE (openshift-qe)
? Region  [Use arrows to move, enter to select, type to filter, ? for more h? Region  [Use arrows to move, enter to select, type to filter, ? for more h? Region  [Use arrows to move, enter to select, type to filter, ? for more h? Region  [Use arrows to move, enter to select, type to filter, ? for more h? Region  [Use arrows to move, enter to select, type to filter, ? for more h? Region  [Use arrows to move, enter to select, type to filter, ? for more h? Region  [Use arrows to move, enter to select, type to filter, ? for more h? Region  [Use arrows to move, enter to select, type to filter, ? for more h? Region  [Use arrows to move, enter to select, type to filter, ? for more h? Region  [Use arrows to move, enter to select, type to filter, ? for more help]
  asia-south1 (Mumbai, India)



But original problem in https://github.com/openshift/installer/issues/4523 isn't fixed.

Updated the title to reflect this - and closing.

Comment 11 errata-xmlrpc 2021-07-27 22:57:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438

Comment 12 To Hung Sze 2021-08-30 15:00:13 UTC
More problem when terminal is not wide enough:

When trying to run installer without the osServicePrincipal.json file, installer doesn't display all the entries already entered:

? SSH Public Key /home/tsze/.ssh/openshift-qe.pub
DEBUG   Fetching Base Domain...                    
DEBUG     Fetching Platform...                     
DEBUG     Generating Platform...                   
? Platform azure
DEBUG Could not get an azure authorizer from file. Asking user to provide authentication info 
? azure subscription id 53b8f551-f0fc-4bea-8cba-xxxxxxxxxxxx
? azure tenant id 6047c7e9-b2ad-488d-a54e-xxxxxxxxxxxx
? azure service principal client id [? for help] 0834ab38-3208-4ad8-bfff-xxxxxxxxxxxx

hit enter and it becomes

? SSH Public Key /home/tsze/.ssh/openshift-qe.pub
DEBUG   Fetching Base Domain...                    
DEBUG     Fetching Platform...                     
DEBUG     Generating Platform...                   
? Platform azure
DEBUG Could not get an azure authorizer from file. Asking user to provide authentication info 
? azure subscription id 53b8f551-f0fc-4bea-8cba-xxxxxxxxxxxx
? azure service principal client id 0834ab38-3208-4ad8-bfff-xxxxxxxxxxxx
? azure service principal client secret [? for help] 


Note that 'tenant id' is not displayed anymore.


Note You need to log in before you can comment on or make changes to this bug.